<?php
require '../conexao/conexao.php';
require_once '../conexao/logs.php';
session_start();
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['id_pagamento_delete'])) {
    $id_pagamento = $_POST['id_pagamento_delete'];
    $filtros = $_POST['url'] ?? '';
} else {
    $filtros = $_POST['url'];

    // Adicione os filtros como parâmetros GET no URL de redirecionamento
    $location = 'index.php';
    if (!empty($filtros)) {
        $location .= '?' . $filtros;
    }

    // Redirecione para a página de destino
    header("Location: $location");
    exit;
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'sim') {

        $stmt_select = $connectionmysql->prepare("SELECT comprovante FROM pagamentos WHERE id = ?");
        $stmt_select->bind_param("i", $id_pagamento);
        $stmt_select->execute();
        $stmt_select->bind_result($comprovante_antigo);
        $stmt_select->fetch();
        $stmt_select->close();

        // 🔹 Registra log de exclusão
        if (isset($_SESSION['CodUsuario'], $_SESSION['NomeUsuario'])) {
            registrarLogExclusaoDetalhado(
                28,
                $_SESSION['CodUsuario'],
                $_SESSION['NomeUsuario'],
                json_encode($dados_antes),
                $id_pagamento
            );
        }

        if (!empty($comprovante_antigo)) {
            unlink($comprovante_antigo);
        }

        $stmt_pessoa = $connectionmysql->prepare("DELETE FROM pagamentos WHERE id = ?");
        $stmt_pessoa->bind_param("i", $id_pagamento);
        $stmt_pessoa->execute();

        $filtros = $_POST['url'];

        $location = './index.php?status=sucesso';
        if (!empty($filtros)) {
            $location .= '&' . $filtros;
        }

        header("Location: $location");
        exit;
    } elseif (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'nao') {
        $filtros = $_POST['url'];

        $location = 'index.php';
        if (!empty($filtros)) {
            $location .= '?' . $filtros;
        }
        header("Location: $location");
        exit;
    } else {
        $filtros = $_POST['url'];

        $location = 'index.php';
        if (!empty($filtros)) {
            $location .= '?' . $filtros;
        }

        header("Location: $location");
        exit;
    }
}
